# Generated by Django 2.0 on 2018-02-04 11:07

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Menu',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=16, verbose_name='名称')),
                ('menu_paths', django.contrib.postgres.fields.jsonb.JSONField(default=list, help_text='选填', verbose_name='访问路径')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否激活')),
            ],
            options={
                'verbose_name': '菜单',
                'verbose_name_plural': '菜单',
            },
        ),
        migrations.CreateModel(
            name='Permission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=24, verbose_name='名称')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否激活')),
                ('menu', models.OneToOneField(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='permissions', to='jwt_auth.Menu', verbose_name='菜单组')),
            ],
            options={
                'verbose_name': '权限',
                'verbose_name_plural': '权限',
            },
        ),
        migrations.CreateModel(
            name='Resource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=16, verbose_name='名称')),
                ('api_path', models.CharField(default='', help_text='选填', max_length=200, verbose_name='API路径')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否激活')),
            ],
            options={
                'verbose_name': '资源',
                'verbose_name_plural': '资源',
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=16, verbose_name='名称')),
            ],
            options={
                'verbose_name': '角色',
                'verbose_name_plural': '角色',
            },
        ),
        migrations.CreateModel(
            name='Staff',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('username', models.CharField(default='', max_length=24, verbose_name='用户名')),
                ('email', models.EmailField(db_index=True, max_length=255, unique=True, verbose_name='邮件')),
                ('is_active', models.BooleanField(default=True, verbose_name='是否激活')),
                ('is_admin', models.BooleanField(default=False, verbose_name='是否管理员')),
                ('introduce_by', models.CharField(default='', max_length=64, verbose_name='推荐由')),
                ('date_joined', models.DateTimeField(auto_now=True, verbose_name='创建时间')),
                ('roles', models.ManyToManyField(blank=True, to='jwt_auth.Role', verbose_name='角色')),
            ],
            options={
                'verbose_name': '活动用户',
                'verbose_name_plural': '活动用户',
            },
        ),
        migrations.AddField(
            model_name='permission',
            name='resources',
            field=models.ManyToManyField(blank=True, to='jwt_auth.Resource', verbose_name='资源'),
        ),
        migrations.AddField(
            model_name='permission',
            name='roles',
            field=models.ManyToManyField(blank=True, to='jwt_auth.Role', verbose_name='角色'),
        ),
    ]
